package mvd.jester;

import mvd.jester.model.SystemSetup;
import mvd.jester.simulator.MaiaBertogna;
import mvd.jester.simulator.SchmidMottok;

/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        // SystemSetup.Builder builder = new SystemSetup.Builder().setNumberOfProcessors(8);
        // TestEnvironment te = new TestEnvironment(builder, 400);

        // te.registerTestPair(mvd.jester.tests.MaiaBertogna.class,
        // mvd.jester.simulator.MaiaBertogna.class);

        // te.registerTestPair(mvd.jester.tests.SchmidMottok.class,
        // mvd.jester.simulator.SchmidMottok.class);

        // te.runTests();

        boolean mbWorked = false;
        boolean smWorked = false;

        SystemSetup thisOne = null;

        do {
            SystemSetup.Builder builder = new SystemSetup.Builder().setNumberOfProcessors(8);
            SystemSetup systemSetup = builder.build();

            SchmidMottok sm = new SchmidMottok(systemSetup);
            MaiaBertogna mb = new MaiaBertogna(systemSetup);


            smWorked = sm.runSimulation();
            mbWorked = mb.runSimulation();


            thisOne = systemSetup;
        } while (smWorked == mbWorked);


        SchmidMottok sm = new SchmidMottok(thisOne);
        MaiaBertogna mb = new MaiaBertogna(thisOne);

        mb.runSimulation();
        sm.runSimulation();

    }
}
